Get RTB EP
This endpoint fetches RTB EP(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/ortb/rtbep/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | RTB EP ID, if sent, request will fetch RTB EP with exact ID, otherwise it fill fetch all RTB EPs. | optional |
| PublisherId | int | Publisher ID, if sent, request will fetch RTB EPs with exact publisher ID, otherwise it fill fetch all RTB EPs. | optional |
| AccManagerId | int | Account Manager ID, if sent, request will fetch RTB EPs with exact Account Manager ID (User ID), otherwise it fill fetch all RTB EPs. | optional |
| ActiveOnly | int | Request will fetch only active RTB EPs if set to 1, otherwise it fill fetch all RTB EPs. | optional |
To get RTB EP, send query parameter like this: Id=1 or PublisherId=1 or AccManagerId=5
Or if you want to get all RTB EPs, don’t include either of Id or PublisherId or AccManagerId parameter, or set them as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "PublisherId": 1, "PublisherName": "Publisher", "Name": "RTB EP 1", "Tags": [ 1 ], "DspBidfloorMargin": 5.0, "PublisherProfitShare": 90.0, "RevenueCountingMethod": 2, "CheckAdsTxt": 1, "CheckAppAdsTxt": 1, "CheckSellersJson": 1, "MaxQps": 0, "TmaxAdjust": 0, "AutoOptimize": 1, "PopAdmXml": 0, "PrebidJs": 0, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "SpentDailyLimit": 0.0, "BannerEnabled": 1, "VideoEnabled": 1, "AudioEnabled": 1, "NativeEnabled": 1, "PopEnabled": 1, "WebEnabled": 1, "AppEnabled": 1, "MinBidfloor": 0.0, "MaxBidfloor": 20.0, "MaxIvt": 50.0, "MaxSchainNodes": 0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "AppsListMode": 0, "AppsList": [ 1 ], "SizesListMode": 1, "SizesList": [ "300x250", "320x480" ], "PubIdListMode": 0, "PubIdList": "", "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "Schain": 0, "CompleteSchain": 0, "PreventSchainLoop": 1, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "AdDomainsBrandsBlacklist": "", "AdAppsBlacklist": "", "CridListMode": 0, "CridList": "", "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "Auth": "druw8f", "Qps": 534, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "ZoneUrls": [ { "Region": "us-east", "ZoneUrl": "https://us-east1.adelion.com/rtb?zone=1&auth=I6rQH0" } ], "StatsByDate": "https://adelion.com/api/ortb/stats/publisher/rtb?username=publisher1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}&columns=DateStats,Requests,Wins,Bills,NetImpressions,Spent", "Campaigns": [ 1 ], "DspRtbEps": [ 1 ], "DspVastTags": [ 1 ], "DspPopFeeds": [ 1 ]}[ { "Id": 1, "TeamId": 1, "PublisherId": 1, "PublisherName": "Publisher", "Name": "RTB EP 1", "Tags": [ 1 ], "DspBidfloorMargin": 5.0, "PublisherProfitShare": 90.0, "RevenueCountingMethod": 2, "CheckAdsTxt": 1, "CheckAppAdsTxt": 1, "CheckSellersJson": 1, "MaxQps": 0, "TmaxAdjust": 0, "AutoOptimize": 1, "PopAdmXml": 0, "PrebidJs": 0, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "SpentDailyLimit": 0.0, "BannerEnabled": 1, "VideoEnabled": 1, "AudioEnabled": 1, "NativeEnabled": 1, "PopEnabled": 1, "WebEnabled": 1, "AppEnabled": 1, "MinBidfloor": 0.0, "MaxBidfloor": 20.0, "MaxIvt": 50.0, "MaxSchainNodes": 0, "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "Schain": 0, "CompleteSchain": 0, "PreventSchainLoop": 1, "Auth": "druw8f", "Qps": 534, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "ZoneUrls": [ { "Region": "us-east", "ZoneUrl": "https://us-east1.adelion.com/rtb?zone=1&auth=I6rQH0" } ], "StatsByDate": "https://adelion.com/api/ortb/stats/publisher/rtb?username=publisher1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}&columns=DateStats,Requests,Wins,Bills,NetImpressions,Spent", "Campaigns": [ 1 ], "DspRtbEps": [ 1 ], "DspVastTags": [ 1 ], "DspPopFeeds": [ 1 ] }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |